# OV_assets_transform.py

import bpy
from bpy.types import Operator

class OV_ASSETS_OT_TransformAsset(Operator):
    bl_idname = "ov_assets.transform_asset"
    bl_label = "Transform Asset"
    bl_description = "Apply a transformation to the selected asset"
    
    def execute(self, context):
        obj = context.active_object
        if not obj:
            self.report({'WARNING'}, "No active object selected")
            return {'CANCELLED'}
        # Exemple : rotation de 45° autour de l'axe Z
        obj.rotation_euler[2] += 0.785398  # 45° en radians
        self.report({'INFO'}, f"Asset '{obj.name}' rotated 45° on Z-axis.")
        return {'FINISHED'}

def register():
    bpy.utils.register_class(OV_ASSETS_OT_TransformAsset)
    print("Transform Asset module registered.")

def unregister():
    bpy.utils.unregister_class(OV_ASSETS_OT_TransformAsset)
    print("Transform Asset module unregistered.")
