# OV_setup.py

import bpy
from . import OV_setup_start
from . import OV_setup_import
from . import OV_setup_camera
from . import OV_setup_sky
from . import OV_setup_export

def register():
    OV_setup_start.register()
    OV_setup_import.register()
    OV_setup_camera.register()
    OV_setup_sky.register()
    OV_setup_export.register()
    print("OpenVision setup addon registered.")

def unregister():
    OV_setup_export.unregister()
    OV_setup_sky.unregister()
    OV_setup_camera.unregister()
    OV_setup_import.unregister()
    OV_setup_start.unregister()
    print("OpenVision setup addon unregistered.")

if __name__ == "__main__":
    register()
