bl_info = {
    "name": "OpenVision",
    "blender": (3, 0, 0),
    "category": "Object",
    "version": (2, 0),
    "author": "Nathan Boder",
    "description": "OpenVision, a tool to simplify the creation of architectural visualizations.",
}

import bpy
from .OV_setup import register as register_setup, unregister as unregister_setup
from .OV_materials import register as register_materials, unregister as unregister_materials

def register():
    register_setup()
    register_materials()

def unregister():
    unregister_materials()
    unregister_setup()

if __name__ == "__main__":
    register()
